nginx_default_config:
  root:
    pcre_jit: yes
    worker_processes: auto
    daemon: no
    error_log: /var/log/nginx/error.log info;
  events:

  http:
    aio: threads
    aio_write: yes
    directio: 128k
    sendfile: yes
    sendfile_max_chunk: 1m
    tcp_nodelay: yes
    tcp_nopush: yes

    client_body_buffer_size: 64k
    client_body_timeout: 30s
    client_header_buffer_size: 2k
    client_header_timeout: 15s
    client_max_body_size: 0
    send_timeout: 180s
    resolver_timeout: 10s

    disable_symlinks: yes
    keepalive_disable: none
    msie_padding: no
    server_tokens: no
    log_not_found: yes

    open_file_cache: 'max=512 inactive=120s'
    open_file_cache_errors: yes

    gzip: yes
    gzip_comp_level: 4
    gzip_min_length: 4096
    gzip_vary: yes
    gzip_types:
      - text/css
      - text/javascript
      - text/plain
      - application/javascript
      - application/x-javascript
      - font/truetype
      - font/opentype
      - image/svg+xml
      - application/xml

    autoindex: no

    default_type: application/octet-stream

    proxy_buffer_size: 16k
    proxy_buffers: '16 16k'
    proxy_connect_timeout: 30s
    proxy_http_version: 1.1
    proxy_read_timeout: 180s
    proxy_send_timeout: 180s
    proxy_max_temp_file_size: 0

    http2_push_preload: yes

